# -*- encoding : utf-8 -*-

class Public::EventsController < ApplicationController
	
	layout "public"
	
	def index
		
		@events = Event.after(Time.now.beginning_of_day).order(:start_at)

		
		
		
		@title = "Agenda"
	end
	
	def category
	
		
	
		
		@category = Category.find_by_slug(params[:slug])
		@articles = @category.articles.recents
		@articles = @articles.page(params[:page]).per(10)
		@title = "Articles du blog"
		@index_title = 'Articles de la catégorie "'+@category.name+'"'
		render :action => :index
		
	end
	
	def archives
		@month = Date.parse("#{params[:year]}/#{params[:month]}").beginning_of_month 
		@articles = Article.where("enabled = ? and published_at > ? and published_at < ?", true, @month, @month.end_of_month )
		@articles = @articles.page(params[:page]).per(10)
		@title = "Articles du blog"
		if [4,8].include?(@month.month)
			@index_title = 'Articles du mois d\''+l(@month, :format => "%B %Y")+''
		else
			@index_title = 'Articles du mois de '+l(@month, :format => "%B %Y")+''
		end
		
		render :action => :index
	end
	
	
	def show
		@article = Article.find_by_slug(params[:slug])
	
		if @article	and @article.enabled	
			
			@title = @article.title
			
		else
			redirect_to "/", :notice => "La page que vous demandez n'a pas pu être trouvée.<br /><br />Vous avez donc été redirigé sur notre page d'accueil"
			
		end
  	end

	
end
